org.apache.storm.solr.schema.builder

## Class RestJsonSchemaBuilder

- java.lang.Object
- - org.apache.storm.solr.schema.builder.RestJsonSchemaBuilder

- All Implemented Interfaces:
    Serializable, SchemaBuilder

  Deprecated.
  Use RestJsonSchemaBuilder2 instead, as this doesn’t support Kerberos authentication

      @Deprecated
      public class RestJsonSchemaBuilder
      extends Object
      implements SchemaBuilder

  Class that builds the `Schema` object from the JSON representation of the schema as returned by the URL of the form http://localhost:8983/solr/gettingstarted/schema/ . This particular URL returns the schema in JSON format for the gettingstarted example running locally.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestJsonSchemaBuilder(String url)` Deprecated.
    `RestJsonSchemaBuilder(String solrHost, String solrPort, String collection)` Deprecated. Urls with the form http://localhost:8983/solr/gettingstarted/schema/ returns the schema in JSON format.
    `RestJsonSchemaBuilder(URL url)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildSchema()` Deprecated.
    `Schema` | `getSchema()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RestJsonSchemaBuilder

          public RestJsonSchemaBuilder(String solrHost,
                                       String solrPort,
                                       String collection)
                                throws IOException

      Deprecated.

      Urls with the form http://localhost:8983/solr/gettingstarted/schema/ returns the schema in JSON format.

      Throws:
        `IOException`

    - #### RestJsonSchemaBuilder

          public RestJsonSchemaBuilder(String url)
                                throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### RestJsonSchemaBuilder

          public RestJsonSchemaBuilder(URL url)
                                throws IOException

      Deprecated.
      Throws:
        `IOException`

  - ### Method Detail

    - #### buildSchema

          public void buildSchema()
                           throws IOException

      Deprecated.
      Specified by:
        `buildSchema` in interface `SchemaBuilder`
      Throws:
        `IOException`

    - #### getSchema

          public Schema getSchema()

      Deprecated.
      Specified by:
        `getSchema` in interface `SchemaBuilder`

Copyright © 2019 The Apache Software Foundation. All rights reserved.